Call Object
The API Call object defines the HTTP request we make from a deployment. The request can have an Authentication Setting and Authentication Token applied to it.
Example object:
{
"meta": {
"domain": "httpbin.org",
"description": null,
"created": "2015-09-18T23:29:39.534120Z",
"tags": [],
"accept": null,
"last_update": "2015-09-18T23:29:39.534173Z",
"content_type": null,
"owner": "agxkZXZ-dmlhdGVzdHNyEQsSBFVzZXIYgICAgICAgAoM",
"name": "Minimal API test name"
},
"request": {
"body": null,
"parameters": [],
"url": "http://httpbin.org/get",
"auth_id": null,
"headers": [],
"token_id": null,
"method": "GET"
},
}
| Name | Description | Required? |
|---|---|---|
| meta | See below | Y |
| access | See below | N |
| request | See below | Y |
Section: meta
| Name | Description | Required? |
|---|---|---|
| name | Name of the call for your reference | Yes |
| description | Description of the call for your reference | No |
| tags | List of Tags for the call for your reference | No |
| owner | The ID of the Owner of the call | No - read-only |
Section: request
| Name | Description | Required? |
|---|---|---|
| method | HTTP method to use | Y |
| url | URL to call | Y |
| parameters | List of request parameters to append to the call | N |
| headers | List of headers to include in the call | N |
| body | Content of a POST or PUT call | N |
| auth_id | The ID of the authentication settings to use | N |
| token_id | The ID of the token to use with the authentication settings | N |